Bug 43373 - remove property from layout via extended attribute
remove property from layout via extended attribute
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-19 10:57 CET by Florian Best
Modified: 2017-07-05 13:06 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.011
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number: 2017011821000411
Bug group (optional): External feedback
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (891 bytes, patch)
2017-01-19 10:57 CET, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-01-19 10:57:17 CET
Created attachment 8358 [details]
patch

If there is a extended attribute defined which overwrites a existing property and sets it to not being visible, it is still in the layout and therefore shown.

Attached patch fixes this.
Comment 1 Florian Best univentionstaff 2017-01-19 11:09:38 CET
curl https://forge.univention.org/bugzilla/attachment.cgi?id=8358 | patch -p 6 -d /usr/share/pyshared/univention/admin
Comment 2 Johannes Keiser univentionstaff 2017-06-29 16:40:32 CEST
(In reply to Florian Best from comment #0)
> Created attachment 8358 [details]
> patch
> 
> If there is a extended attribute defined which overwrites a existing
> property and sets it to not being visible, it is still in the layout and
> therefore shown.
> 
> Attached patch fixes this.

Applied patch:

r 80641
univention-directory-manager-modules (12.0.17-28) 
* Bug #43373: Applied patch from Florian Best - Properties can now be
removed from the UMC layout via extended attributes

YAML: r 80643
Comment 3 Florian Best univentionstaff 2017-06-29 18:35:27 CEST
I added a test case for this:

r80655 | Bug #43373: add 68_udm-extendedattribute/39_extended_attribute_hide_field_in_layout

REOPEN: The patch seems to not work anymore, at least for "username" and "description" of users/user.
Comment 4 Johannes Keiser univentionstaff 2017-06-30 16:39:07 CEST
Applied new patch:

r 80700
univention-directory-manager-modules (12.0.17-42) 
* Bug #43373: Applied new patch - Properties can now be
removed from the UMC layout via extended attributes
Comment 5 Florian Best univentionstaff 2017-06-30 16:46:55 CEST
perfect.
OK: YAML
Comment 6 Janek Walkenhorst univentionstaff 2017-07-05 13:06:34 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>